%define dbus_glib_version	0.76
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            142
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27
%define oname DeviceKit-disks

Summary: Disk Management Service
Name: devicekit-disks
Version: 009
Release: %mkrel 5
License: GPLv2+
Group: System/Configuration/Hardware
URL: http://cgit.freedesktop.org/DeviceKit/DeviceKit-disks/
Source0: http://hal.freedesktop.org/releases/%{oname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-1-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: sqlite3-devel
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: libatasmart-devel >= %{libatasmart_version}
BuildRequires: zlib-devel
# for now, to get gudev-1.0, until we can depend on udev >= 143 where it is libgudev1-devel
BuildRequires: libgudev-devel
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: sg3_utils-devel >= %{sg3_utils_version}
# for mkfs.xfs, xfs_admin
Suggests: xfsprogs
# for mkfs.vfat
Suggests: dosfstools
# for mlabel
Requires: mtools
# for mkntfs
# no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Suggests: ntfsprogs
%endif

%description
DeviceKit-disks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for DeviceKit-disks
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
D-Bus interface definitions for DeviceKit-disks.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.a

# TODO: should be fixed upstream
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/devkit-disks-bash-completion.sh

%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{oname}.lang
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules

/lib/udev/devkit-disks-part-id
/lib/udev/devkit-disks-dm-export
/lib/udev/devkit-disks-probe-ata-smart
/sbin/umount.devkit

%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/pkgconfig/DeviceKit-disks.pc

%{_datadir}/polkit-1/actions/*.policy

%{_libdir}/polkit-1/extensions/*.so

%{_datadir}/dbus-1/system-services/*.service

%attr(0770,root,root) %dir %{_localstatedir}/run/DeviceKit-disks
%attr(0770,root,root) %dir %{_localstatedir}/lib/DeviceKit-disks

%files devel
%defattr(-,root,root,-)

%{_datadir}/dbus-1/interfaces/*.xml

%dir %{_datadir}/gtk-doc/html/devkit-disks
%{_datadir}/gtk-doc/html/devkit-disks/*

# Note: please don't forget the %{?dist} in the changelog. Thanks


%changelog
* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 009-5mdv2011.0
+ Revision: 663767
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 009-4mdv2011.0
+ Revision: 604786
- rebuild

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 009-3mdv2010.1
+ Revision: 512199
- rebuild for new parted

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 009-2mdv2010.1
+ Revision: 482618
- rebuild for new parted

* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 009-1mdv2010.1
+ Revision: 462352
- update to new version 009

* Tue Oct 20 2009 Frederic Crozat <fcrozat@mandriva.com> 008-1mdv2010.0
+ Revision: 458402
- Release 008

* Sat Sep 19 2009 Götz Waschk <waschk@mandriva.org> 007-1mdv2010.0
+ Revision: 444623
- update to new version 007
- fix source URL

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 006-1mdv2010.0
+ Revision: 417562
- Release 006

  + Frederik Himpe <fhimpe@mandriva.org>
    - Rebuild for new libatasmart4

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 005-3mdv2010.0
+ Revision: 402913
- update build deps

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove old dependency on devicekit, use udev instead
    - Replace hard dependency on xfs / ntfs / dos tools with suggests

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 005-2mdv2010.0
+ Revision: 400619
- rebuild for new parted

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 005-1mdv2010.0
+ Revision: 395877
- import devicekit-disks


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 005-1mdv2010.0
- port to Mandriva

* Sun Jul 12 2009 Matthias Clasen <mclasen@redhat.com> - 005-3.f12
- Rebuild

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 005-2%%{?dist}
- Fix BR

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 005-1%%{?dist}
- Update to release 005

* Tue May 19 2009 David Zeuthen <davidz@redhat.com> - 004-3%%{?dist}
- Avoid checking whether device is ATA SMART capable if the device reports
  removable media (#494932)

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 004-2%%{?dist}
- Rebuild

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 004-1%%{?dist}
- Upstream release 004

* Thu Apr 16 2009 David Zeuthen <davidz@redhat.com> - 004-0.10.20090415git%%{?dist}
- Properly detect vfat on whole disk devices (#495876)

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 004-0.9.20090415git%%{?dist}
- Rebuild

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 004-0.8.20090415git%%{?dist}
- New snapshot

* Sun Apr 12 2009 David Zeuthen <davidz@redhat.com> - 004-0.7.20090412git%%{?dist}
- New snapshot

* Thu Apr 09 2009 David Zeuthen <davidz@redhat.com> - 004-0.6.20090408git%%{?dist}
- use correct dmode for iso9660 mounts (#495018)

* Wed Apr 08 2009 David Zeuthen <davidz@redhat.com> - 004-0.5.20090408git%%{?dist}
- New snapshot

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.4.20090406git%%{?dist}
- Rebuild

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.3.20090406git%%{?dist}
- BR libudev-devel

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.2.20090406git%%{?dist}
- New snapshot, this time with the right date

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.1.20080406git%%{?dist}
- New snapshot

* Fri Mar 27 2009 Matthias Clasen  <mclasen@redhat.com> - 003-9.f11
- Don't require ntfsprogs on ppc, where it doesn't exist

* Wed Mar 25 2009 Matthias Clasen  <mclasen@redhat.com> - 003-8.f11
- Add dependencies to for all the cmdline tools we use (#490670)

* Thu Mar 19 2009 David Zeuthen <davidz@redhat.com> - 003-7%%{?dist}
- Make sure dm devices are marked as system-internal (#489397)

* Tue Mar 10 2009 Matthias Clasen <mclasen@redhat.com> - 003-6%%{?dist}
- Fix the previous patch

* Fri Mar  6 2009 Matthias Clasen <mclasen@redhat.com> - 003-5%%{?dist}
- Handle -- correctly in devkit-disks

* Wed Mar 04 2009 David Zeuthen <davidz@redhat.com> - 003-3%%{?dist}
- Add --dump option to devkit-disks(1) to help with debugging
- Allow authorized users to unmount /etc/fstab mounts

* Tue Mar 03 2009 David Zeuthen <davidz@redhat.com> - 003-2%%{?dist}
- Identify mounts using dev_t, not device files (#488258)

* Mon Mar 02 2009 David Zeuthen <davidz@redhat.com> - 003-1%%{?dist}
- Update to version 003

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002-3.git20080720
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002-2.git20080720
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Colin Walters <walters@verbum.org> - 002-1.git20080720
- Add dbus permissions patch

* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 002-0.git20080720%%{?dist}
- Initial packaging
